/**********************************************************************
    Mark Butcher    Bsc (Hons) MPhil MIET

    M.J.Butcher Consulting
    Birchstrasse 20f,    CH-5406, Rtihof
    Switzerland

    www.uTasker.com    Skype: M_J_Butcher

    ---------------------------------------------------------------------
    File:     MODBUS.c
    Project:  Single Chip Embedded Internet
    ---------------------------------------------------------------------
    Copyright (C) M.J.Butcher Consulting 2004..2014
    *********************************************************************
  
    The Tasker project delivers the foundation required for building modular and reliable user defined applications:
    its operating system is tightly integrated with a TCP/IP stack and device drivers for various single-chip
    processors; the project includes a powerful demonstration with many features required in real-world projects
    and ready-to-build projects for various compiler environments; the Tasker simulator enables testing and further
    developing within a comfortable and efficient environment in order to reduce project development times.

    The Tasker MODBUS software module is a 'drop-in' protocol module which enables devices to be integrated into a
    MODBUS environment in a simple but very flexible manner. It allows operation as a serial slave device (RTU or ASCII),
    a TCP slave device, a TCP gateway to serial (RTU or ASCII), a TCP master or serial master (RTU or ASCII), and a
    mixture of these types to multiple TCP ports and/or multiple serial interfaces as desired.

    The software is a single module with all features configurable by define and/or at run time making it a truly
    universal module, suitable for just about any use.

    The Tasker MODBUS software is easy to integrate into existing projects or new projects and can be fully simulated
    to ensure efficient development of user applications and validation.


    This module is not included in the Tasker demo project but can be ordered separately as industry-proven add on,
    with full support and documentation.

*/
